# GCC_RosterUpdateIndication_applicationInformation_subtype_applicationRecordList_update_subtype_applicationUpdate Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_addRecord, e_replaceRecord, e_removeRecord }

## Public Member Functions

| GCC_RosterUpdateIndication_applicationInformation_subtype_applicationRecordList_update_subtype_applicationUpdate (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_ApplicationRecord & ()
| operator const GCC_ApplicationRecord & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_RosterUpdateIndication_applicationInformation_subtype_applicationRecordList_update_subtype_applicationUpdate::Choices

Enumerator:

  e_addRecord |
  e_replaceRecord |
  e_removeRecord |

## Constructor & Destructor Documentation

GCC_RosterUpdateIndication_applicationInformation_subtype_applicationRecordList_update_subtype_applicationUpdate::GCC_RosterUpdateIndication_applicationInformation_subtype_applicationRecordList_update_subtype_applicationUpdate | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_RosterUpdateIndication_applicationInformation_subtype_applicationRecordList_update_subtype_applicationUpdate::operator GCC_ApplicationRecord & | ( |  | ) |

GCC_RosterUpdateIndication_applicationInformation_subtype_applicationRecordList_update_subtype_applicationUpdate::operator const GCC_ApplicationRecord & | ( |  | ) | const

PBoolean GCC_RosterUpdateIndication_applicationInformation_subtype_applicationRecordList_update_subtype_applicationUpdate::CreateObject | ( |  | ) |

PObject* GCC_RosterUpdateIndication_applicationInformation_subtype_applicationRecordList_update_subtype_applicationUpdate::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h